package testFormat;

import oco.FormatControl;
import oco.erreur.MessageErrorManager;
import ucar.nc2.NetcdfFile;

public class TestFormatControl {

    public static void main(String[] args) {

		String[] test = {"X:/GL_201701_TS_MO_61289.nc","X:/RULES/"};
		args = test;
		
	try {
	    //String netcdfFile = null;
		//or
	    NetcdfFile netcdfFile = null;
	    String rulesFolder = null;


	    if (args.length < 2) {
		System.out.println("Number of parameters incorrect, use NetCdf FileName rulesFolder");
		System.exit(0);
	    } else {
		// Retrieve file name
		//netcdfFile = args[0];
		//or 		
		netcdfFile = NetcdfFile.open(args[0]);
		
		// Retrieve file name
		rulesFolder = args[1];
	    }

		//public MessageErrorManager checkFile(NetcdfFile netcdfFile, String rulesFolder) {
			

	    final FormatControl formatControl = new FormatControl();
	    final MessageErrorManager messageErrorManager = formatControl.checkFile(netcdfFile, rulesFolder);
	    System.out.println("file OK?: " + messageErrorManager.isCompliant());
	    System.out.println(messageErrorManager.getStringReport());

	} catch (final Exception e) {
	    System.out.println(e);
	}
    }
}
